Summary: Data compression program 
Name: bzip2
Version: 1.0.8
Release: 4%{?dist}
License: BSD
URL: http://www.bzip.org/
Source0: https://sourceware.org/pub/bzip2/%{name}-%{version}.tar.gz
Source1: bzip2.pc

Patch5000: patch0001-makefile-libbz2_so.patch

BuildRequires: gcc make

%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities
of the best techniques available.  However, bzip2 has the added benefit
of being approximately two times faster at compression and six times
faster at decompression than those techniques.  Bzip2 is not the
fastest compression utility, but it does strike a balance between speed
and compression capability.


%package libs
Summary: Libraries of bzip2

%description libs
Libraries for bzip2.


%package static
Summary: Static libraries of bzip2

%description static
Static libraries of bzip2.


%package devel
Summary: Development package of bzip2
Requires: bzip2-libs = %{version}-%{release}

%description devel
Development headers and libraries for bzip2.Also pkgconfig is supported.


%prep
%autosetup -p1


%build
%make_build -f Makefile-libbz2_so CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -fpic -fPIC" all
rm -f *.o
%make_build  CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" \
             LDFLAGS="%{__global_ldflags}" all
    

%install
%make_install PREFIX=%{buildroot}%{_prefix}

ln -fs bzdiff %{buildroot}%{_bindir}/bzcmp
ln -fs bzgrep %{buildroot}%{_bindir}/bzegrep
ln -fs bzgrep %{buildroot}%{_bindir}/bzfgrep
ln -fs bzmore %{buildroot}%{_bindir}/bzless
ln -fs bzip2 %{buildroot}%{_bindir}/bunzip2
ln -fs bzip2 %{buildroot}%{_bindir}/bzcat

mv %{buildroot}%{_prefix}/lib  %{buildroot}%{_libdir}
install -m 755 *.so* %{buildroot}%{_libdir}
ln -fs libbz2.so.%{version} %{buildroot}%{_libdir}/libbz2.so.1
ln -fs libbz2.so.%{version} %{buildroot}%{_libdir}/libbz2.so.1.0
ln -fs libbz2.so.1 %{buildroot}%{_libdir}/libbz2.so

install -d %{buildroot}%{_libdir}/pkgconfig/
cp %{SOURCE1} .
sed -i "s|^libdir=|libdir=%{_libdir}|" bzip2.pc
install -m 0644 bzip2.pc %{buildroot}%{_libdir}/pkgconfig/

install -d %{buildroot}%{_mandir} 
mv %{buildroot}%{_prefix}/man %{buildroot}%{_datadir}
ln -s bzip2.1.gz %{buildroot}%{_mandir}/man1/bunzip2.1.gz
ln -s bzip2.1.gz %{buildroot}%{_mandir}/man1/bzcat.1.gz
ln -s bzip2.1.gz %{buildroot}%{_mandir}/man1/bzip2recover.1.gz


%post libs -p /sbin/ldconfig


%postun libs  -p /sbin/ldconfig


%files
%license LICENSE
%doc CHANGES README
%{_bindir}/*
%{_mandir}/man1/*.1.gz


%files libs
%license LICENSE
%{_libdir}/libbz2.so.1*


%files static
%license LICENSE
%{_libdir}/libbz2.a


%files devel
%doc manual.html manual.pdf
%{_includedir}/*
%{_libdir}/libbz2.so
%{_libdir}/pkgconfig/bzip2.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.8-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.8-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jun 10 2022 doriscchao <doriscchao@tencent.com> - 1.0.8-1
- initial build, Version 1.0.8, Release 1